# Enum Class VulkanValidationGPUBased

java.lang.Object
java.lang.Enum<VulkanValidationGPUBased>
com.io7m.jcoronado.layers.khronos_validation.api.VulkanValidationGPUBased

All Implemented Interfaces:
  `Serializable, Comparable<VulkanValidationGPUBased>, Constable`

public enum VulkanValidationGPUBased extends Enum<VulkanValidationGPUBased>
Enable/disable parts of GPU validation.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `GPU_BASED_DEBUG_PRINTF`
  Enables processing of debug printf instructions in shaders and sending debug strings to the debug callback.
  `GPU_BASED_GPU_ASSISTED`
  Check for API usage errors at shader execution time.
  `GPU_BASED_NONE`
  No GPU-based validation.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static VulkanValidationGPUBased`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static VulkanValidationGPUBased[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### GPU_BASED_NONE

    public static final VulkanValidationGPUBased GPU_BASED_NONE
    No GPU-based validation.

  - ### GPU_BASED_DEBUG_PRINTF

    public static final VulkanValidationGPUBased GPU_BASED_DEBUG_PRINTF
    Enables processing of debug printf instructions in shaders and sending debug strings to the debug callback.

  - ### GPU_BASED_GPU_ASSISTED

    public static final VulkanValidationGPUBased GPU_BASED_GPU_ASSISTED
    Check for API usage errors at shader execution time.

- ## Method Details

  - ### values

    public static VulkanValidationGPUBased[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static VulkanValidationGPUBased valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null